Bug 99329 - [NEW PORT] games/diameter: Arcade-style game with elements of economy and adventure
Summary: [NEW PORT] games/diameter: Arcade-style game with elements of economy and adv...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-23 00:30 UTC by Dmitry Marakasov
Modified: 2006-06-28 15:21 UTC (History)
0 users

See Also:


Attachments
diameter-0.3.5.shar (7.55 KB, text/plain)
2006-06-23 00:30 UTC, Dmitry Marakasov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2006-06-23 00:30:17 UTC
"Diameter" - is an arcade-style game with elements of economy and
adventure.

Project's main objective is to make a distinctive game with a storm
gameplay and simultaneously alluring with its world.

WWW: http://gamediameter.sourceforge.net/
Comment 1 Emanuel Haupt freebsd_committer 2006-06-23 15:26:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 2 Dmitry Marakasov 2006-06-24 16:28:15 UTC
Update to 0.3.5.r1.

- Spelling in menu changed
- No more non-power-of-2 textures

--- diameter.diff begins here ---
diff -ruN diameter.orig/Makefile diameter/Makefile
--- diameter.orig/Makefile	Sat Jun 24 19:11:43 2006
+++ diameter/Makefile	Sat Jun 24 19:20:41 2006
@@ -6,10 +6,11 @@
 #
 
 PORTNAME=	diameter
-PORTVERSION=	0.3.5
+DISTVERSION=	0.3.5-r1
 CATEGORIES=	games
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	gamediameter
+DISTNAME=	${PORTNAME}-${DISTVERSION}src
 
 MAINTAINER=	amdmi3@mail.ru
 COMMENT=	Arcade-style game with elements of economy and adventure
diff -ruN diameter.orig/distinfo diameter/distinfo
--- diameter.orig/distinfo	Sat Jun 24 19:11:43 2006
+++ diameter/distinfo	Sat Jun 24 19:14:06 2006
@@ -1,3 +1,3 @@
-MD5 (diameter-0.3.5.tar.bz2) = 75607ef865837d92d9a4a6a627aba86f
-SHA256 (diameter-0.3.5.tar.bz2) = 66f12093a6cde85a1694ab417cd3828f91837240d8b5c2580498005e9e0fe697
-SIZE (diameter-0.3.5.tar.bz2) = 5266523
+MD5 (diameter-0.3.5-r1src.tar.bz2) = da29296f99dc7bb9d0350b469bb8830c
+SHA256 (diameter-0.3.5-r1src.tar.bz2) = 0db31e344de11fa245eb7b9882918535db3e87f0c8cc6229765f8dafb45ae4d3
+SIZE (diameter-0.3.5-r1src.tar.bz2) = 4775031
diff -ruN diameter.orig/pkg-plist diameter/pkg-plist
--- diameter.orig/pkg-plist	Sat Jun 24 19:11:43 2006
+++ diameter/pkg-plist	Sat Jun 24 19:17:56 2006
@@ -1,8 +1,6 @@
 bin/diameter
-%%DATADIR%%/fonts/font-blue-en.png
 %%DATADIR%%/fonts/font-blue-test.png
-%%DATADIR%%/fonts/font-gold-en.png
-%%DATADIR%%/fonts/font-gold-glow-en.png
+%%DATADIR%%/fonts/font-gold-test.png
 %%DATADIR%%/fonts/rpgfont_thinner_noshadow.png
 %%DATADIR%%/models/Rockets/r01_88.3DS
 %%DATADIR%%/models/Rockets/r02_88.3DS
--- diameter.diff ends here ---

-- 
Best regards,
 Dmitry                          mailto:amdmi3@mail.ru
Comment 3 Emanuel Haupt freebsd_committer 2006-06-26 09:59:17 UTC
State Changed
From-To: open->feedback

configure fails on 4.x since it can't find libguichan. Do you think you could 
fix it?
Comment 4 Emanuel Haupt freebsd_committer 2006-06-28 15:21:39 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!